var CFG_Transparencia = "cfg.Transparencia";
var DEF_Transparencia = "20";

function Pag_Config_Transparencia_Show() {
	Pag_Config_Show();
	document.getElementById("Pag_Config_Form").innerHTML = 
		 '<table width="390px" height="455px" cellpadding="10" cellspacing="10" style="table-layout: fixed; background-image: url(fondo_frame.png); background-repeat: no-repeat;">'
		+'	<tr height="20px"><td width="310px"/></tr>'
		+'	<tr height="33px"><td width="310px" class="font15">Seleccione el grado de transparencia que desea poner a los menús con las fechas derecha e izquierda</td></tr>'
		+'	<tr height="33px" align="top"><td width="310px" height="33px" id="Pag_Config_Transparencia_Valor">'
		+'  </td></tr>'
		+'	<tr height="33px"/>'
		+'	<tr height="28px" valign="top"><td class="font16" style="background-position: 2px 14px; background-image: url(boton_azul.png); background-repeat: no-repeat;"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cerrar</td></tr>'
		+'	<tr/>'
		+'</table>';
	ActualizarConfigTransparencia(parseInt(getValue(CFG_Transparencia, DEF_Transparencia)));
	cPaginaVisible = "Pag_Config_Transparencia";
}

function Pag_Config_Transparencia_Close() {
	Pag_Config_Show(OPC_Config_Transparencia);
}

function ActualizarConfigTransparencia(iValor) {
	if (iValor < 10) {
		iValor = 10;
	} else if (iValor < 25) {
	} else {
		iValor = 25;
	}
	document.getElementById("Pag_Config_Transparencia_Valor").innerHTML = 
	 '    <table width="310px" height="33px" style="table-layout: fixed; background-position: ' + ((iValor-25)*17-50) + 'px 2px; background-image: url(cursor_datos.png); background-repeat: no-repeat;">'
	+'    <tr height="33px" align="top"><td width="310px" style="background-position: -2px 0px; background-image: url(cursor_fondo.png); background-repeat: no-repeat;" align="center" class="font16">' + iValor + '</td></tr>'
	+'    </table>';
	ialEnv.browserWindow.setTransparency(iValor*10+5);
	setValue(CFG_Transparencia, iValor);
}

function Pag_Config_Transparencia_KeyDown(keyChar) {
	var iValor;
	try {
		switch (keyChar) {
			case KEY_UP:
			case KEY_DOWN:
			case KEY_0: case KEY_1:
			case KEY_2: case KEY_3:
			case KEY_4: case KEY_5:
			case KEY_6: case KEY_7:
			case KEY_8: case KEY_9:
				return 0;
			case KEY_LEFT:
				ActualizarConfigTransparencia(parseInt(getValue(CFG_Transparencia, DEF_Transparencia))-1);
				return 0;
			case KEY_RIGHT:
				ActualizarConfigTransparencia(parseInt(getValue(CFG_Transparencia, DEF_Transparencia))+1);
				return 0;
			case KEY_BLUE:
			case KEY_BACK:
				Pag_Config_Transparencia_Close();
				return 0;
		}
	} catch(ex) {
		alert("Pag_Config_Transparencia_KeyDown: " + ex);
	}
	return 1;
}
